Page 1 of 2 1 2 LastLast
Results 1 to 15 of 23

Thread: Help with 1.28.5 TESTING

  1. #1
    Administrator Cen's Avatar
    Join Date
    Sep 2006
    Location
    Slovenia
    Age
    28
    Posts
    15,489
    Blog Entries
    2

    Help with 1.28.5 TESTING

    We need tech savy people to help us test updates for W3 1.28.5. This is just BETA, no official release yet.

    We are moving server to 1.28.5 which solves some issues that were introduced in 1.28.2, especially for XP users and for Unicode document paths. At the same time we improved our update process to make things smoother. So what is new?

    -you can now use official Blizzard tool to install or update your W3 to latest version. You don't need to search the dark web to find a copy of W3 anymore, you can install it with official tool. The tool is called Warcraft III Launcher.exe. As long as our server is up to date with official bnet, you can use this tool for updates or to do fresh W3 installs.
    -for incremental patches, eg: 1.28.0->1.28.2->1.28.5->1.XX.Y our client is now capable of doing a quick update on your w3, downloading only differences between versions instead of 1GB of data, so only a few MB. This means whenever we need to upgrade W3 version, client will do it automatically for you and with as little data transfer as possible.
    -if you are on an older version of w3 (1.27b and below) or you feel like your w3 files are corrupted, client can now do a full W3 update with a single click of a button (pulls down 1G archive of vetted files, extracts them).


    What to test:
    1. Update via client update
    -in update tab under beta patch type 1377 and press the "Get Beta patch" button
    -client restarts, finds out that you need a new w3 version and does a quick patch (1.28.2->1.28.4->1.28.5), should take 30sec or so
    -if quick patching fails, send xpam.log in this thread (make sure you don't restart client before you copy the log, client cleans the log after restart)
    -you can test full w3 update with a new button in Update tab (1GB download, might take some time to download and apply)

    2. Installer v9
    Download
    -installer will now go ahead no matter what w3 version you have (it used to stop if it detected incorrect version)
    -after the new client is run, it will then try to quick patch you to correct w3 version or ask you to do it manually (either via blizz tool or via full update button)


    Reseting your state back to "normal" after testing:
    -put your w3 back to 1.28.2 with our WVS, 1.28.2 zip archive or MyMGN WVS (much smaller size)
    -run installer v8

    This should be enough to put you back as you are now and be able to join main server again.


    Additional info
    -If anything goes wrong with update process, provide xpam.log before restarting the client.
    -You can connect to BETA server using gproxy gateway, normal won't work (tries to connect to official). Create a new account or use bot2, bot4, bot5 (pass 123456)
    -One bot is in channel bots.
    -There is some experimental work to support new dota map in the client but it is not finished yet and the map is not stable either so that will come in a future update.
    -one annoying thing about blizzard updater is that it always patches to latest patch, so in between time when our server and official are not in sync it is a useless tool. client will probably be expanded so it can quick patch you backwards also


    Using the bot:
    .pub
    or.. .map <some map> and then .gopub (I think)

    Find us on discord for direct chat and support.
    Last edited by Cen; 26th July 2017 at 10:28 PM.

    Undefeated Mad Balls Arena champion

  2. #2
    Alone_MonaX
    Guest
    Here is xpam log for failed update from 1.28.2

    >xdelta3: source file too short: XD3_INTERNAL

    Hm, this wc3 instance was only used by eurobattle ( i mean no other clients would change it)
    And i had 1.28.2 version downloaded as switcher file (because my official version 1.28.2 got auto updated by mistake )
    Idk why would patcher expect different file
    Attached Files Attached Files
    Last edited by Alone_MonaX; 27th July 2017 at 07:30 AM.

  3. #3
    Administrator Cen's Avatar
    Join Date
    Sep 2006
    Location
    Slovenia
    Age
    28
    Posts
    15,489
    Blog Entries
    2
    Huh, it got you from 1.28.2 to 1.28.4 but then failed at war3x.mpq from 1.28.4 to 1.28.5. O_o

    Post here exact filesize of 1.28.2 war3x.mpq and try to do it again. If it fails, post exact filesize of 1.28.4 war3x.mpq also.
    Last edited by Cen; 27th July 2017 at 12:12 PM.

    Undefeated Mad Balls Arena champion

  4. #4

    re

    OS: Windows 7 (64)

    Requesting beta in update tab: worked
    Quick patching: I was asked to do a full game update
    Hidden Text click here to show

    running warcraft 3 / loggin to server (using bot 2) / creating and joining game: worked
    2. installer9: worked

    Cant post attachments here (no permission). I will upload logs on LA:http://dota.eurobattle.net/la/forum/....msg643528#new

  5. #5
    Administrator Cen's Avatar
    Join Date
    Sep 2006
    Location
    Slovenia
    Age
    28
    Posts
    15,489
    Blog Entries
    2
    Looks like the same situation as Monax except it failed on war3.mpq. Send me filesizes as I mentioned in my previos post.

    Would also like to know if you use any mods or customization or if you have non EN W3. If mods are used then the update failure is expected.

    You can also upload somewhere war3(x).mpq at 1.28.4 that fails to be patched here so I can compare it to mine (or send it to me on discord).


    edit: attachements enabled
    Last edited by Cen; 27th July 2017 at 03:40 PM.

    Undefeated Mad Balls Arena champion

  6. #6
    I have some infected files in my PC but the war3 folder seems ok. Just to be clear: war3 is updated to 1.28.5 but the update wasnt made by quick patching. In the directory I also had some pictures, a model editor and some extra copy of war3.mpq, modified by me, but was renamed. I remove them from there. Also, in version switcher the war3patch.mpq version is unknown, the others are detected as they are. I will edit this post adding filesizes later (still downloading patch), I have rlly slow uploading speed, takes to much to send you the archive.

    EDIT:
    Ver 1.28.2:
    war3.mpq =
    539,671,304 bytes
    war3x.mpq = 401,620,502 bytes

    Ver 1.28.4:
    war3.mpq = 503,316,480 bytes
    war3x.mpq = 369,098,752 bytes
    Attached Files Attached Files
    Last edited by Renovatio; 27th July 2017 at 04:46 PM.

  7. #7
    Administrator Cen's Avatar
    Join Date
    Sep 2006
    Location
    Slovenia
    Age
    28
    Posts
    15,489
    Blog Entries
    2
    The main thing is to figure out why you guys have different mpq than me or people for whom it works.

    Undefeated Mad Balls Arena champion

  8. #8
    Alone_MonaX
    Guest
    I moved to another house and cannot send you filesizes and such info atm;
    I do not use any mods or any else clients except XPAM (for this wc3 instance; but i got another wc3 instances for another platforms, if it is important)
    System warcraft 3 path is set up for this, 'xpam`s' instance
    I have english version of wc3

    p.s. as i said, i moved to another house and everything if deered up here; But i just randomly tried to update wc3 from your client again and it worked
    upd: It just said like it worked, but it did not And when i restarted XPAM client, it started to download update again, then failed it; I'll try to provide more info tomorrow;

    Have you tested it with clean wc3 install, Cen?
    Like this way, from scratch:
    1. Get 1.27 version ( i already do not remember where could i asquire it; probably it is from my CD, there is some old version, then i used 1.27 patch on it)
    2. Switch from 1.27 to 1.28.2 using that WVS archive
    3. Download your client, update to 1.28.5

    p.p.s: Now i see (probably) 2 reasons for it:
    a.) I had some different wc3 instance before that 1.27 patching; Both versions, 'version_before_1.27' and '1.27' versions were russian
    b.) Also i went retarded and installed new XPAM client over previous xpam client.

    p.p.p.s:

    When i tried to run the wacraft3 from the new client, it says:
    ---------------------------
    Patch Error
    ---------------------------
    There was an error patching war3.exe (Unable to read memory). Make sure you are using version 1.22a-1.28a.
    ---------------------------
    ОК
    ---------------------------

    I will rollback to .2 patch and play a bit

    p. (x4).s: and also have to say, that i am (and i think many else people) like and respect your work here I mean, the whole work;

    Sad thing that i am too addicted to the game and cannot manage my time to create that lil app; I am trying to It is being coded by parts
    Last edited by Alone_MonaX; 29th July 2017 at 12:57 AM.

  9. #9
    Administrator Cen's Avatar
    Join Date
    Sep 2006
    Location
    Slovenia
    Age
    28
    Posts
    15,489
    Blog Entries
    2
    Russian version could be the problem.

    I'll add file hash ckecks to verify that files can be updated and fail early if not possible. non-EN can still be updated via official tool.

    Undefeated Mad Balls Arena champion

  10. #10
    Administrator Cen's Avatar
    Join Date
    Sep 2006
    Location
    Slovenia
    Age
    28
    Posts
    15,489
    Blog Entries
    2
    Updated version is out, same instructions from first post apply

    Changelog:
    -client will now auto dl dota map for you if it detects you dont have it
    -no need to install vc redist 2015 anymore, all libraries included in installer and client, no more 0x0000072 errors (in theory)
    -client will select a random mirror for full upgrades instead of trying one by one (to spread the bandwith and make downloads faster)
    -client will now instantly fail a quick update if the base files are not exactly as expected (different w3 language, mods etc). In cases like this, your upgrade options will be via launcher or via full upgrade

    I'd be grateful if a few more people can try this out.

    Undefeated Mad Balls Arena champion

  11. #11
    Alone_MonaX
    Guest
    Extracting war3x.mpq.patch (683) read 683-4
    Extracting war3xlocal.mpq.patch (112) read 112-4

    [...]

    ...
    Update finished
    Diff update successful
    Hash matches for game.dll
    Hash matches for storm.dll
    Hash matches for war3.mpq
    Hash matches for war3local.mpq
    Hash mismatch for war3x.mpq


    Idk, if no1 will have such problem anymore, we can just make me to download any else warcraft 3 instance;
    I haven`t tested it, - can i use my official last-updated warcraft 3 instance? Looks like xdelta3.exe should work with patch diffs using both 'directions'
    I can test it in the morning if there is any sense in my little workaround idea


    For more people you could try announcing and such, in game. Because some players are not even aware about this forum existing
    Last edited by Alone_MonaX; 3rd August 2017 at 08:55 AM.

  12. #12
    Administrator Cen's Avatar
    Join Date
    Sep 2006
    Location
    Slovenia
    Age
    28
    Posts
    15,489
    Blog Entries
    2
    I didn't quite understand what you are proposing, care to elaborate?

    Undefeated Mad Balls Arena champion

  13. #13
    Alone_MonaX
    Guest
    I mean, if i have different warcraft 3, this is my problem and i should use 'standart' one, not my unique shit that i have on CD from 2007 or so
    So basically i do not waste (spend) your time for the problem that is happening only for few players

  14. #14
    Administrator Cen's Avatar
    Join Date
    Sep 2006
    Location
    Slovenia
    Age
    28
    Posts
    15,489
    Blog Entries
    2
    Yes. The error you got is expected and means that your war3x.mpq differs from the expected for whatever reason (different language, mods, some unexpected change which I don't know about). So when quick patch fails you need to update on your own, either via blizzard launcher tool or with the full update button in client. Launcher tool would be recommended in most cases, as long as official servers are not on a newer version than eurobattle. The full update button on the other hand is the safest choice, the only problem is that if you have non english w3 it will relace files with english version.

    Undefeated Mad Balls Arena champion

  15. #15
    Alone_MonaX
    Guest
    I`ll use launcher then;

Page 1 of 2 1 2 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Inne strony: Film Filmy 2017 Horror 2017


Affiliates